Package org.eclipse.microprofile.config.tck

# Class ConfigPropertiesTest.InjectingBean

java.lang.Object
org.eclipse.microprofile.config.tck.ConfigPropertiesTest.InjectingBean

Enclosing class:
  ConfigPropertiesTest

@Dependent public static class ConfigPropertiesTest.InjectingBean extends Object

## Constructor Summary

Constructors
Constructor
Description
`InjectingBean()`

## Method Summary

Modifier and Type
Method
Description
`ConfigPropertiesTest.BeanOne`
`getBeanOne()`
`ConfigPropertiesTest.BeanThree`
`getBeanThree()`
`ConfigPropertiesTest.BeanTwo`
`getBeanTwo()`
`ConfigPropertiesTest.BeanOne`
`getClientBeanOne()`
`ConfigPropertiesTest.BeanOne`
`getCustomerBeanOne()`
`ConfigPropertiesTest.BeanFour`
`getMyBeanFour()`
`ConfigPropertiesTest.BeanTwo`
`getMyBeanTwo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InjectingBean

public InjectingBean()

## Method Details

### getCustomerBeanOne

public ConfigPropertiesTest.BeanOne getCustomerBeanOne()

### getClientBeanOne

public ConfigPropertiesTest.BeanOne getClientBeanOne()

### getBeanOne

public ConfigPropertiesTest.BeanOne getBeanOne()

### getBeanTwo

public ConfigPropertiesTest.BeanTwo getBeanTwo()

### getMyBeanTwo

public ConfigPropertiesTest.BeanTwo getMyBeanTwo()

### getMyBeanFour

public ConfigPropertiesTest.BeanFour getMyBeanFour()

### getBeanThree

public ConfigPropertiesTest.BeanThree getBeanThree()